> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# appointmenttype

> List of AppointmentType values - inDiary, inChecklist, Note, Document, SavedReport, BookingForDiary, BookingForChecklist

## "appointmenttype" MDO List

List of AppointmentType values: inDiary, inChecklist, Note, Document, SavedReport, BookingForDiary, BookingForChecklist

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AppointmentTypeProvider">AppointmentTypeProvider</see> class.
The name of the MDO list is 'appointmenttype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/appointmenttype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("appointmenttype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                      | StyleHint | ExtraInfo |
| -- | ------------------------- | --------- | --------- |
| 1  | Has start time            |           |           |
| 2  | Has no start time         |           |           |
| 3  | Note                      |           |           |
| 4  | Document                  |           |           |
| 5  | Saved Report              |           |           |
| 6  | Booking has start time    |           |           |
| 7  | Booking has no start time |           |           |

## Related MDO Lists

* "appointmenttypeheadings"
* "appointmenttypeheadingswithallitem"
* "appointmenttypeheadingswithallitemwithnoselection"
* "appointmenttypeheadingswithnoselection"
* "appointmenttypewithallitem"
* "appointmenttypewithallitemwithnoselection"
* "appointmenttypewithnoselection"


## Related topics

- [Enum AppointmentType](/en/automation/crmscript/reference/CRMScript.NetServer.AppointmentType.md)
- [Enum values for AppointmentType](/en/database/tables/enums/appointmenttype.md)
- [SuperOffice.WebApi.Data.AppointmentType](/en/api/reference/webapi/SuperOffice.WebApi.Data.AppointmentType.md)
- [SuperOffice.WebApi.Data.AlarmData](/en/api/reference/webapi/SuperOffice.WebApi.Data.AlarmData.md)
- [Namespace CRMScript.NetServer](/en/automation/crmscript/reference/CRMScript.NetServer.md)
- [SuperOffice.WebApi.Agents.AppointmentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.AppointmentAgent.md)
